import 'dart:math';
import 'dart:ui';

import 'package:fhub/home.dart';
import 'package:fhub/src/CustomWidgets.dart';
import 'package:fhub/welcome.dart';
import 'package:flutter/material.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        // fontFamily: 'Serif',
        colorScheme: ColorScheme.fromSeed(
            seedColor: Colors.deepPurple, brightness: Brightness.dark),
        useMaterial3: true,
      ),
      home: const MyHomePage(),
      // ignore: prefer_const_literals_to_create_immutables
      routes: {
        '/splash' : (context) =>  MyHomePage(),
        '/home' : (context) =>  Home(),

      },
    );
  }
}
